/*
 * EwECOAIF_Host.c
 *
 *  Created on: 12 Oct 2016
 *      Author: sw_appleby
 */

#include <stdio.h>
#include <bspPIC.h>

#include "../EwECOAIF_External_Interface.h"

void pollButtons()
{
	switch( BTNPORT & 0x1F ){
		case 0x01:
			EwECOAIF__ButtonA();
			break;
		case 0x02:
			EwECOAIF__ButtonB();
			break;
		case 0x04:
			EwECOAIF__ButtonC();
			break;
#if   PIC==0x16f627
		case 0x08:
#elif PIC==0x16f873
		case 0x10:
#elif PIC==0x16f876
		case 0x10:
#elif PIC==0x16f876a
		case 0x10:
#endif
			EwECOAIF__ButtonD();
			break;
	}
}

void ioinit()
{
}

void putLights( unsigned char displayCode )
{
	LEDPORT = displayCode;
}
