/*
 * @file EwECOAIF_modMain_Im.c
 * Module Interface for Module EwECOAIF_modMain_Im
 */
/*
 ##############################################################
 # (C) 2016 BAE SYSTEMS
 #
 # EmbedWithECOA - EwECOAIF Implementation Code
 #
 # $Id: EwECOAIF_modMain_Im.c,v 2.3 2017/11/06 15:33:43 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/

#include "EwECOAIF_modMain_Im.h"
#include "EwECOAIF.h"

void EwECOAIF_modMain_Im__INITIALIZE__received(EwECOAIF_modMain_Im__context *context)
{
	ioinit();
}

void EwECOAIF_modMain_Im__START__received(EwECOAIF_modMain_Im__context *context)
{
   /* User Code Here */
}

void EwECOAIF_modMain_Im__STOP__received(EwECOAIF_modMain_Im__context *context)
{
   /* User Code Here */
}

void EwECOAIF_modMain_Im__SHUTDOWN__received(EwECOAIF_modMain_Im__context *context)
{
   /* User Code Here */
}

void EwECOAIF_modMain_Im__DisplayCode__received(EwECOAIF_modMain_Im__context *context,
    const ECOA__uint8 displayCode)
{
	// Light the lights...
	putLights( displayCode );
}

void EwECOAIF_modMain_Im__ButtonA__received(EwECOAIF_modMain_Im__context *context)
{
	EwECOAIF_modMain_Im_container__PatternASelected__send( context );
}

void EwECOAIF_modMain_Im__ButtonB__received(EwECOAIF_modMain_Im__context *context)
{
	EwECOAIF_modMain_Im_container__PatternBSelected__send( context );
}

void EwECOAIF_modMain_Im__ButtonC__received(EwECOAIF_modMain_Im__context *context)
{
	EwECOAIF_modMain_Im_container__PatternCSelected__send( context );
}

void EwECOAIF_modMain_Im__ButtonD__received(EwECOAIF_modMain_Im__context *context)
{
	EwECOAIF_modMain_Im_container__PatternDSelected__send( context );
}

